Summary: Text-Kakasi - libkakasi interface for perl.
Name: perl-Text-Kakasi
Version: 1.04
Release: 1
Serial:2000041001
Copyright: GPL
Distribution: TurboLinux
Group: Development/Libraries
Source0: http://www.daionet.gr.jp/~knok/kakasi/Text-Kakasi-1.04.tar.gz
Patch0: Text-Kakasi-1.04-makefile.patch
Packager: Masaru Yokoi <masaru@turbolinux.co.jp>
URL: http://www.daionet.gr.jp/~knok/kakasi/
BuildRoot: /var/tmp/%{name}-root
Requires: kakasi >= 2.3.0, perl >= 5.004
BuildPreReq: kakasi >= 2.3.0, perl >= 5.004
# NoSource: 0

%description
This module provides libkakasi interface for perl. libkakasi is a part
of KAKASI.
KAKASI is the language processing filter to convert Kanji characters
to Hiragana, Katakana or Romaji and may be helpful to read Japanese
documents.
More information about KAKASI is available at <http://kakasi.namazu.org/>.

%changelog
* Mon Apr 10 2000 Masaru Yokoi <masaru@turbolinux.co.jp>
- First Release

%prep
%setup0 -n Text-Kakasi-%{version}
%patch0 -p1 -b .makefile
%build
CFLAGS="${RPM_OPT_FLAGS}" perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT

make install PREFIX=${RPM_BUILD_ROOT}/usr

if [ -f ${RPM_BUILD_ROOT}/usr/lib/perl5/man/man3/Text::Kakasi.3 ]
	then gzip -9 ${RPM_BUILD_ROOT}/usr/lib/perl5/man/man3/Text::Kakasi.3
fi
%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root) 
%doc ChangeLog README README.jp
/usr/lib/perl5/site_perl/*/*-linux/auto/Text/Kakasi
/usr/lib/perl5/site_perl/*/*linux/Text/Kakasi.pm
/usr/lib/perl5/man/man3/Text::Kakasi.3.gz
